<?php

declare(strict_types=1);

namespace Drupal\violinist_projects;

/**
 * The interface for a log analyzer.
 */
interface LogAnalyzerInterface {

  /**
   * Get the update status from the output.
   */
  public function getUpdateStatusFromOutput(string $console_output) : UpdateResultValue;

  /**
   * Get a human readable explanation of the update status.
   */
  public function getUpdateStatusHumanReadable(string $console_output): string;

  /**
   * Get a list of suggestions on how to resolve the problem.
   */
  public function getUpdateSuggestionsFromPackageAndOutput(string $package_name, string $console_output): array;

}
